osl::move_generator::Promote< P, NoCapture > Class Template Reference

成る手を生成. More...

`#include <promote_.h>`

## Static Public Member Functions

template<class Action, Ptype T>
static void | generateMovesPtype (const NumEffectState &state, Action &action)
template<Ptype T>
static void | generatePtype (const NumEffectState &state, MoveVector &out)
template<class Action>
static void | generateMoves (const NumEffectState &state, Action &action)
static void | generate (const NumEffectState &state, MoveVector &out)

## Detailed Description

template<Player P, bool NoCapture = true>
class osl::move_generator::Promote< P, NoCapture >

成る手を生成.

生成される手はunique 自殺手のチェックはしないので，後で修正する?

Parameters

  noCapture | - trueの時は駒を取る手は生成しない(取る手は別に生成される可能性が高いので)

Definition at line 17 of file promote_.h.

## Member Function Documentation

## generate()

template<Player P, bool NoCapture = true>

void osl::move_generator::Promote< P, NoCapture >::generate | ( | const NumEffectState & | state,
|  | MoveVector & | out )

inline static

Definition at line 31 of file promote_.h.

References generateMoves().

## generateMoves()

template<Player P, bool NoCapture = true>
template<class Action>

template void osl::move_generator::Promote< P, NoCapture >::generateMoves | ( | const NumEffectState & | state,
|  | Action & | action )

static

Referenced by osl::move_generator::GeneratePromote< NoCapture >::generate(), and generate().

## generateMovesPtype()

template<Player P, bool NoCapture = true>
template<class Action, Ptype T>

template void osl::move_generator::Promote< P, NoCapture >::generateMovesPtype< store_t,(Ptype) 15 > | ( | const NumEffectState & | state,
|  | Action & | action )

static

Referenced by generatePtype().

## generatePtype()

template<Player P, bool NoCapture = true>
template<Ptype T>

void osl::move_generator::Promote< P, NoCapture >::generatePtype | ( | const NumEffectState & | state,
|  | MoveVector & | out )

inline static

Definition at line 23 of file promote_.h.

References generateMovesPtype().

The documentation for this class was generated from the following files:

- promote_.h
- promote_.cc